Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.producer
Class RequestProcessor

    java.lang.Object
      org.jboss.portal.wsrp.producer.RequestProcessor

Direct Known Subclasses:
  RenderRequestProcessor

    public abstract class RequestProcessor

extends java.lang.Object

Since:
  2.6
Version:
  $Revision: 10367 $
Author:
  Chris Laprun

Field Summary
`protected org.jboss.portal.wsrp.producer.WSRPInstanceContext` | `instanceContext`
`protected org.jboss.portal.portlet.invocation.PortletInvocation` | `invocation`
`protected org.jboss.portal.wsrp.producer.MarkupRequest` | `markupRequest`
`protected org.jboss.portal.portlet.Portlet` | `portlet`
`protected PortletDescription` | `portletDescription`
`protected WSRPProducerImpl` | `producer`

Constructor Summary
`protected` | `RequestProcessor(WSRPProducerImpl producer)`

Method Summary
`protected org.jboss.portal.portlet.StateString` | `createNavigationalState(java.lang.String navigationalState)`
`org.jboss.portal.portlet.invocation.PortletInvocation` | `getInvocation()`
`void` | `setInvocation(org.jboss.portal.portlet.invocation.PortletInvocation invocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### invocation

    protected org.jboss.portal.portlet.invocation.PortletInvocation invocation

### markupRequest

    protected org.jboss.portal.wsrp.producer.MarkupRequest markupRequest

### portletDescription

    protected PortletDescription portletDescription

### portlet

    protected org.jboss.portal.portlet.Portlet portlet

### instanceContext

    protected org.jboss.portal.wsrp.producer.WSRPInstanceContext instanceContext

### producer

    protected WSRPProducerImpl producer

Constructor Detail

### RequestProcessor

    protected RequestProcessor(WSRPProducerImpl producer)

Method Detail

### createNavigationalState

    protected org.jboss.portal.portlet.StateString createNavigationalState(java.lang.String navigationalState)

### getInvocation

    public org.jboss.portal.portlet.invocation.PortletInvocation getInvocation()

### setInvocation

    public void setInvocation(org.jboss.portal.portlet.invocation.PortletInvocation invocation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD